Page MenuHomePhabricator

WikiEditor leaves style="position: static;" behind on the <body>
Closed, ResolvedPublic

Description

  1. Open https://www.mediawiki.org/w/index.php?title=Manual:Coding_conventions/CSS&action=edit
  2. Inspect <body>

Actual behaviour:

An attribute style="position: static;" is created at run time. Setting an attribute breakpoint reveals this is done by the WikiEditor toolbar module:
https://github.com/wikimedia/mediawiki-extensions-WikiEditor/blob/10ff6c36dea745a40c10aaad9540043981d13e2f/modules/jquery.wikiEditor.toolbar.js#L766-L775


		$.eachAsync( sectionQueue, {
			'bulk': 0,
			'end': function () {
				// HACK: Opera doesn't seem to want to redraw after these bits
				// are added to the DOM, so we can just FORCE it!
				var oldValue = $( 'body' ).css( 'position' );
				$( 'body' ).css( 'position', 'static' );
				$( 'body' ).css( 'position', oldValue );

Event Timeline

Krinkle created this task.Jul 22 2015, 6:55 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 6:55 PM
Krinkle updated the task description. (Show Details)Jul 22 2015, 6:55 PM
Krinkle set Security to None.

Change 226333 had a related patch set uploaded (by TheDJ):
Toolbar: Remove Opera redraw hack

https://gerrit.wikimedia.org/r/226333

Change 226333 merged by jenkins-bot:
Toolbar: Remove Opera redraw hack

https://gerrit.wikimedia.org/r/226333

Fomafix assigned this task to TheDJ.Dec 29 2015, 9:44 PM
Fomafix added a subscriber: Fomafix.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 29 2015, 9:44 PM
Fomafix closed this task as Resolved.Dec 29 2015, 9:44 PM
TheDJ triaged this task as Low priority.Dec 29 2015, 11:06 PM
TheDJ removed a project: Patch-For-Review.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:04 AM